# -*- coding: utf-8 -*-
<%inherit file="/base.mako" />

<%def name="head_tags()">
     <title>Keyword Index Search Engine</title>
</%def>
<%def name="style_tags()">
  <style type="text/css">
    .helpsec{ margin: 3em; }
    .helpsec H2{ margin-left: -1em; }
  </style>
</%def>

<%
  all = c.titles
  if c.all:
    for attr in all:
      setattr(c, attr, True)
%>

% if c.all:
  <div id="toc" class="helpsec">
  <H2>Help Sections</H2>
  % for sec in all:
    <a href="#${sec}">${all[sec]}</a>
  % endfor
  </div>
% endif

% if c.about:
  <div id="about" class="helpsec">
    <H2>About KiD</H2>
    <p>
      KiD (Keyword inDex) is a boolean search engine built by Hatem A. Nassrat
      in partial fulfilment of the requirements to complete CSCI 6403 (Dr.
      Michael Shepherd).
    </p>
  </div>
% endif

% if c.parser:

  <div id="parser" class="helpsec">
    <H2>Query Parser</H2>
    <p>
      This search engine only allows for simple boolean queries, i.e. ones that
      contain NOT &amp; AND &amp; OR operators only. NOT has ultimate
      precedence while the other two operators share the same precedence.
      Moreover we have made the AND operator implicit. Thus there is only two
      reserved words, and they are upper case &quot;OR&quot; &amp;
      &quot;NOT&quot;.
    </p>
    <p>
      The following is an example illustrating how the parser parses:
      <pre>
        KiD QUERY             : a b OR c NOT d OR e
        Logical Equivalence   : a AND b OR c AND NOT d OR e
        Search Results        : {{docs(a) ∩ docs(b)} - docs(d)} ∪ {docs(c) - docs(d)} ∪ docs(e)
      </pre>
      Note that the logical equivalence assumes our precedence rules.
    </p>
  </div>
% endif

% if c.status:
  <div id="status" class="helpsec">
  <H2>${all['status']}</H2>

    <p>This is the bar right under the search box, which displays information
    about the processed query</p>

    <p>Colored words denote that this word has certain characteristics, such as
    dimmed words in the query indicate that they were filtered out due to them
    being found in our stop words list. Hovering over colored words display a
    tooltip explaining why they are different.</p>

    <p>Real, User, and System denote the time taken to process the query in
    seconds</p>

  </div>

% endif
