# -*- coding: utf-8 -*-
<%inherit file="/base.mako" />

<%def name="head_tags()">
     <title>Keyword Index Search Engine</title>
</%def>
<%def name="style_tags()">
  <style type="text/css">
   a { color: #000; }
   a:visited { color: #666; }
   a:hover { color: #fff; background-color:#000; }
   a:hover div { background-color: #000; }

   .pager_link {
     background-color: #e0e0e0;
     text-decoration: none;
     padding-left: 0.2em;
     padding-right: 0.2em;
   }

   .pager_link:hover {
     text-decoration: none;
   }

   .pager_curpage {
     color: #ffffff;
     background-color: #729742;
     padding-left: 0.2em;
     padding-right: 0.2em;
     font-weight: bold;
   }

   #pagercont {text-align: center; margin-top: 1em;}

   .result_entry { padding: 5px; }
   .odd { background-color: aliceblue; }
   .even { background-color: #D2F7A2; }

   .articleid {float: right; }
   .odd .articleid { color: aliceblue; }
   .even .articleid { color: #D2F7A2; }

   .stopword {color: #666; }
   .boolword {color: maroon; }
   .goodword {font-weight: bold; }
   .unindexed {color: #300; }

  </style>
</%def>
<%def name="script_tags()">
    <script type="text/javascript">
    // <![CDATA[
      function popup(url) {
        var load = window.open(url,'','scrollbars=yes,menubar=no,height=600,width=800,resizable=yes,toolbar=no,location=no,status=no');
      }
    // ]]>
    </script>
</%def>
<%def name="status()">
  % if c.errors:
    <%
      error_msg = ""
      if 'query' in c.errors:
        error_msg = "(%s)" %c.errors['query']
    %>
    Errors Processing Query ${error_msg}
  % elif c.time:
    % if c.records.item_count:
      Results ${c.records.first_item} - ${c.records.last_item} of ${c.records.item_count}
    % else:
      No Results
    % endif
      for
      % if c.query_parts:
        % for word in c.query_parts:
          % if word not in c.reserved  and word.lower() in c.stop_words:
            <span title="'${word}' was found in our stop word list" class="stopword">${word}</span>
          % elif word in c.reserved:
            <span title="Boolean Operator" class="boolword">${word}</span>
          % else:
            <% 
              if word.lower() in c.not_in_index:
                extra_classes = "unindexed"
                extra_title = "Try without '%s' (it is not in our index)" %(word)
              else:
                extra_classes = ""
                extra_title = "Search Term"
            %>
            <span title="${extra_title}" class="goodword ${extra_classes}">${word}</span>
          % endif
        % endfor
      % endif
      (${c.time})
  % endif
</%def>

% if c.records:
  <% i = 1 %>
  % for doc in c.records:
  <%
    i += 1
    class_ = "odd" if i % 2 else "even"
  %>
  <a href="javascript:popup('${h.url_for('doctext', id=doc.offset, length=len(doc))}')">
    <div class="result_entry ${class_}">
    <span title="Document ID" class="articleid">${doc.id}</span>
    ${doc.title[7:-8]|n}
    </div>
  </a>
  % endfor
  <div id="pagercont">
    ${c.records.pager('$link_previous ~5~ $link_next', page_param='id')}
  </div>
% endif
