try:
    from setuptools import setup, find_packages
except ImportError:
    from ez_setup import use_setuptools
    use_setuptools()
    from setuptools import setup, find_packages

setup(
    name='kid',
    version='0.1',
    description='Keyword Index Boolean Search Engine',
    author='Hatem Nassrat',
    author_email='hnassrat@gmail.com',
    #url='',
    install_requires=[
        "Pylons>=0.9.6",
        "Mako",
        "PyStemmer",
    ],
    setup_requires=["PasteScript==dev,>=1.6.3dev-r7326"],
    packages=find_packages(exclude=['ez_setup']),
    include_package_data=True,
    test_suite='nose.collector',
    package_data={'kid': ['i18n/*/LC_MESSAGES/*.mo']},
    #message_extractors = {'kid': [
    #        ('**.py', 'python', None),
    #        ('templates/**.mako', 'mako', None),
    #        ('public/**', 'ignore', None)]},
    zip_safe=False,
    paster_plugins=['PasteScript', 'Pylons'],
    entry_points="""
    [paste.app_factory]
    main = kid.config.middleware:make_app

    [paste.app_install]
    main = pylons.util:PylonsInstaller

    [paste.global_paster_command]
    kidexer = kid.commands.index:GenerateIndexs
    """,
)
